Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.synchronizer
Class Synchronizer

    java.lang.Object
      local.tomas.mobile.sync.synchronizer.Synchronizer

    public class Synchronizer

extends java.lang.Object

Constructor Summary
`Synchronizer()`

Method Summary
`void` | `addListener(SynchronizationListener listener)`
`void` | `clearDesktop(PartnerConfigurationFactory factory, SynchronizationParams params)`
`void` | `clearMobile(PartnerConfigurationFactory factory, SynchronizationParams params)`
`ConflictHandler` | `getConflictHandler()`
`SynchronizerStore` | `getSyncStore()`
`void` | `removeListener(SynchronizationListener listener)`
`void` | `run(PartnerConfigurationFactory confFactory, SynchronizationParams params)`
`void` | `setConflictHandler(ConflictHandler conflictHandler)`
`void` | `setSyncStore(SynchronizerStore syncStore)`
`void` | `sync2desktop(PartnerConfigurationFactory factory, SynchronizationParams params)`
`void` | `sync2mobile(PartnerConfigurationFactory factory, SynchronizationParams params)`
`void` | `synchronize(PartnerConfigurationFactory factory, SynchronizationParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Synchronizer

    public Synchronizer()

Method Detail

### getConflictHandler

    public ConflictHandler getConflictHandler()

### setConflictHandler

    public void setConflictHandler(ConflictHandler conflictHandler)

### getSyncStore

    public SynchronizerStore getSyncStore()

### setSyncStore

    public void setSyncStore(SynchronizerStore syncStore)

### addListener

    public void addListener(SynchronizationListener listener)

### removeListener

    public void removeListener(SynchronizationListener listener)

### synchronize

    public void synchronize(PartnerConfigurationFactory factory,
                            SynchronizationParams params)
                     throws SyncException

  Throws:
    `SyncException`

### clearDesktop

    public void clearDesktop(PartnerConfigurationFactory factory,
                             SynchronizationParams params)
                      throws SyncException

  Throws:
    `SyncException`

### sync2desktop

    public void sync2desktop(PartnerConfigurationFactory factory,
                             SynchronizationParams params)
                      throws SyncException

  Throws:
    `SyncException`

### clearMobile

    public void clearMobile(PartnerConfigurationFactory factory,
                            SynchronizationParams params)
                     throws SyncException

  Throws:
    `SyncException`

### sync2mobile

    public void sync2mobile(PartnerConfigurationFactory factory,
                            SynchronizationParams params)
                     throws SyncException

  Throws:
    `SyncException`

### run

    public void run(PartnerConfigurationFactory confFactory,
                    SynchronizationParams params)
             throws SyncException

  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.